EDIT - feature request #5606

Add preferred stable URI to SpecimenOrObservation

02/29/2016 11:40 AM - Andreas Miller

Status: Closed Start date:

Priority: Highest Due date:

Assignee: Andreas Muller % Done: 100%
Category: cdm Estimated time: 0:00 hour
Target version: CDM UML 4.0

Severity: normal

Description

This URI field should hold only Identifiers using URI syntax, which are presumable stable over time and which are the preferred
identifier of the collection/institution owning/managing the specimen.

An example for such a URI are the URI published according to the CETAF recommendations (

http://wiki.pro-ibiosphere.eu/wiki/Best_practices_for_stable URIs).

A test tool for quality testing of such URIs exists at http://herbal.rbge.info/

see also #5515 for implementation on dataportal and #5764 for Editor

Related issues:

Related to EDIT - feature request #7083: Implement URI form element for Spec... Closed

History

#1 - 02/29/2016 11:43 AM - Andreas Mdiller

- Status changed from New to In Progress

#2 - 04/16/2016 02:13 AM - Andreas Mdiller

- Status changed from In Progress to Resolved

#3 - 04/16/2016 02:21 AM - Andreas Mdiller
fixed by cdmlib|25ab030b

#4 - 04/18/2016 12:44 PM - Andreas Miiller
First implementation with r27727 / r27730

#5 - 05/05/2016 01:01 AM - Andreas Miiller
- Status changed from Resolved to Closed
- Resolution set to fixed

- % Done set to 100

fixed

#6 - 11/22/2017 05:11 PM - Andreas Kohlbecker

- Related to feature request #7083: Implement URI form element for SpecimenTypeDesignationDTOs added

#7 - 08/02/2019 05:38 PM - Andreas Kohlbecker
- Description updated

- Private changed from Yes to No
